#ifndef DPPHANDLER_H
#define DPPHANDLER_H

#ifdef USE_LIBDPP
#include "wifidefs.h"

int dpp_frame_handler(void *dpp, uint8_t *smac, enum dpp_event ev,
		      uint8_t *frame, size_t framelen);
void dpp_relay_rx_handler(struct agent *a, char *ifname, uint8_t *src,
			  uint16_t frametype, uint16_t framelen, uint8_t *frame);
void dpp_enrollee_rx_handler(struct agent *a, char *ifname, uint8_t *src,
			  uint16_t frametype, uint16_t framelen, uint8_t *frame);
#endif
#endif